> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Network

> Create a new VPC network

Create a new VPC network in a project.

### Required Parameters

* `name`: Network name

### Optional Parameters

* `cidr`: Network CIDR range


## OpenAPI

````yaml POST /projects/{id}/vpc/networks
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{id}/vpc/networks:
    post:
      tags: []
      summary: Create Network
      description: Create a new VPC network
      parameters:
        - name: id
          in: path
          description: Project id
          required: true
          example: b3e571f6-c87d-4135-8081-ab219e92544e
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                cidr:
                  type: string
              required:
                - name
            example:
              cidr: 172.27.0.0/16
              name: my-cool-vpc-network
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  operation:
                    type: object
                    properties:
                      completed_at:
                        type: string
                      metadata:
                        type: object
                        properties: {}
                      operation_id:
                        type: string
                      result:
                        type: object
                        properties: {}
                      started_at:
                        type: string
                      state:
                        type: string
                    required:
                      - completed_at
                      - metadata
                      - operation_id
                      - result
                      - started_at
                      - state
                required:
                  - operation
              examples:
                '1':
                  summary: Success
                  value:
                    operation:
                      completed_at: '2021-12-03T19:59:34Z'
                      metadata: {}
                      operation_id: F6EF489C-086E-458D-B812-7962964A28C9
                      result: {}
                      started_at: '2021-12-03T19:58:34Z'
                      state: IN_PROGRESS
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````